Summary:	A simple X11 window manager
Summary(pl.UTF-8):	Prosty zarządca okien dla X11
Name:		ratpoison
Version:	1.4.5
Release:	3
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://savannah.nongnu.org/download/ratpoison/%{name}-%{version}.tar.gz
# Source0-md5:	330a08dbed6be88cab54f6947e9f0b60
Source1:	%{name}-xsession.desktop
Patch0:		%{name}-getline.patch
URL:		http://www.nongnu.org/ratpoison/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	readline-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ratpoison is a simple Window Manager with no fat library dependencies,
no fancy graphics, no window decorations, and no flashy wank. It is
largely modelled after GNU Screen which has done wonders in virtual
terminal market.

%description -l pl.UTF-8
ratpoison jest prostym zarządcą okien dla X11 pozbawionym zależności
od obszernych bibliotek, bez fantazyjnej grafiki i ozdobników okien.
Jest wzorowany na programie GNU screen, który wyczynia cuda w
dziedzinie terminali wirtualnych.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/*.texi
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop
%{_mandir}/man1/ratpoison.1*
%{_infodir}/*.info*
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ratpoison.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1cb8b62
- rebuild with readline 7.0
- release 3 (by relup.sh)

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 12d272e
- missing fix-info-dir

* Wed Jul 15 2009 lisu <lisu@pld-linux.org> 4895c1b
- getline -> get_line (getline function already declared in stdio.h)

* Wed Jul 15 2009 lisu <lisu@pld-linux.org> 59dc8da
- up to 1.4.5
- package only valueble docs
- fix getline error (getline.patch)

* Sun May 03 2009 hawk <hawk@pld-linux.org> c33e7c5
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 0b0d383
- up to 1.4.3

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> a6bb7e7
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Dec 25 2007 zbyniu <zbyniu@pld-linux.org> 977359f
- up to 1.4.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 412cd77
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 331aa0a
- converted to UTF-8

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 5111d96
- merged check-files cleanup from AC-branch

* Tue Nov 21 2006 Jakub Bogusz <qboosh@pld-linux.org> e6eb62f
- really updated deps for modular xorg

* Mon Nov 20 2006 japhy <japhy@pld-linux.org> 86380c4
- up to 1.4.0, updated urls
- BR fix for modular xorg

* Mon Oct 17 2005 Marcin Banasiak <marcin.banasiak@gmail.com> d8d2549
- unify dl.sourceforge.net url

* Sun Oct 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 763ca5f
- rel 2

* Sun Jun 12 2005 Robert Kurowski <koorek@pld-linux.org> bf7e84d
- missing dir

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 4055c96
- BR: XFree86-devel

* Tue Apr 05 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 157f2c7
- BR: readline-devel

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> ddf0572
- spaces->tabs
- formatting

* Fri Sep 03 2004 darekr <darekr@pld-linux.org> 51658cb
- updated to 1.3.0

